SQLITE_SHM_UNLOCK(3)

NAME
SQLITE_SHM_UNLOCK, SQLITE_SHM_LOCK, SQLITE_SHM_SHARED, SQLITE_SHM_EXCLUSIVE - Flags for the xShmLock VFS method

SYNOPSIS
#define SQLITE_SHM_UNLOCK
#define SQLITE_SHM_LOCK
#define SQLITE_SHM_SHARED
#define SQLITE_SHM_EXCLUSIVE

DESCRIPTION
These integer constants define the various locking operations allowed by the xShmLock method of sqlite3_io_methods. The following are the only legal combinations of flags to the xShmLock method:

•   SQLITE_SHM_LOCK | SQLITE_SHM_SHARED

•   SQLITE_SHM_LOCK | SQLITE_SHM_EXCLUSIVE

•   SQLITE_SHM_UNLOCK | SQLITE_SHM_SHARED

•   SQLITE_SHM_UNLOCK | SQLITE_SHM_EXCLUSIVE

When unlocking, the same SHARED or EXCLUSIVE flag must be supplied as was given on the corresponding lock.

The xShmLock method can transition between unlocked and SHARED or between unlocked and EXCLUSIVE. It cannot transition between SHARED and EXCLUSIVE.

SEE ALSO
sqlite3_io_methods(3)